Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.protocol
Class SendingSync<IN extends StreamRequestMessage,OUT extends StreamResponseMessage>

    java.lang.Object
      org.teleal.cling.protocol.SendingAsync
          org.teleal.cling.protocol.SendingSync<IN,OUT>

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  SendingAction, SendingEvent, SendingRenewal, SendingSubscribe, SendingUnsubscribe

    public abstract class SendingSync<IN extends StreamRequestMessage,OUT extends StreamResponseMessage>

extends SendingAsync

Field Summary
`protected OUT` | `outputMessage`

Constructor Summary
`protected` | `SendingSync(UpnpService upnpService)`
`protected` | `SendingSync(UpnpService upnpService, IN inputMessage)`

Method Summary
`protected void` | `execute()`
`protected abstract OUT` | `executeSync()`
`IN` | `getInputMessage()`
`OUT` | `getOutputMessage()`
`protected void` | `setInputMessage(IN inputMessage)`
`String` | `toString()`

Methods inherited from class org.teleal.cling.protocol.SendingAsync
`getDestinationAddress, getDestinationPort, getUpnpService, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### outputMessage

    protected OUT extends StreamResponseMessage outputMessage

Constructor Detail

### SendingSync

    protected SendingSync(UpnpService upnpService,
                          IN inputMessage)

### SendingSync

    protected SendingSync(UpnpService upnpService)

Method Detail

### getInputMessage

    public IN getInputMessage()

### setInputMessage

    protected void setInputMessage(IN inputMessage)

### getOutputMessage

    public OUT getOutputMessage()

### execute

    protected final void execute()

  Specified by:
    `execute` in class `SendingAsync`

### executeSync

    protected abstract OUT executeSync()

### toString

    public String toString()

  Overrides:
    `toString` in class `SendingAsync`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.